(megoldva) Google-earth nem indul

 ( Rubelly | 2013. október 31., csütörtök - 10:55 )

Sziasztok!
Ujra kellett telepítenem a Debian wheezy-t. Sajnos nem tudom azóta sem szóra bírni a google-earth -t :(
Pedig előzőleg működött.

Ezt írja ki:

google-earth
[1031/094804:ERROR:net_util.cc(2195)] Not implemented reached in bool net::HaveOnlyLoopbackAddresses()
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".

Pillanatra fölvillan a kezdő kép, majd elszáll :(
Hogy tudnám ismét használni?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

A Crash logban még ezeket írja:

Major Version 7
Minor Version 1
Build Number 0001
Build Date Jul 12 2013
Build Time 04:04:15
OS Type 3
OS Major Version 3
OS Minor Version 2
OS Build Version 0
OS Patch Version 0
Crash Signal 11
Crash Time 1383212293
Up Time 4,10383

Stacktrace from glibc:
./libgoogleearth_free.so(+0x1e8c5b)[0xb7486c5b]
./libgoogleearth_free.so(+0x1e8e91)[0xb7486e91]
[0xb77df400]
./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext22initGLWindowExtensionsEv+0x9f)[0xafd599af]
./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext4openEv+0xa3)[0xafd5a6d3]
./libIGAttrs.so(_ZN3Gap5Attrs13igAttrContext4openEv+0x2c)[0xb00c1e6c]
/opt/google/earth/free/libevll.so(_ZN5earth4evll13VisualContext11OpenContextEN3Gap3Gfx25igRenderDestinationFormatERKNS0_8InitInfoE+0x1d2)[0xaf1dbd82]
/opt/google/earth/free/libevll.so(_ZN5earth4evll13VisualContext4initERKNS0_8InitInfoE+0x114)[0xaf1dbf24]
/opt/google/earth/free/libevll.so(_ZN5earth4evll17RenderContextImpl4initERKNS0_8InitInfoE+0xda)[0xaf09037a]
./librender.so(_ZN12RenderWidget6SetApiEPN5earth4evll3APIE+0x87)[0xb3c80b57]
./librender.so(_ZN5earth6render12RenderWindow12createWidgetEv+0x154)[0xb3c6e5f4]
./libgoogleearth_free.so(_ZN5earth6client12ModuleWidget9showEventEP10QShowEvent+0x81)[0xb745f091]
./libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x770)[0xb6974150]
./libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0xb690f43c]
./libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x484)[0xb69184e4]
./libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x78)[0xb604f688]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x145)[0xb6976845]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x7d)[0xb697653d]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0xc5)[0xb6976625]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb69766d0]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x7d)[0xb697653d]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0xc5)[0xb6976625]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb69766d0]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x7d)[0xb697653d]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0xc5)[0xb6976625]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb69766d0]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb69766d0]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb69766d0]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6976761]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xb6976b9b]
./libQtGui.so.4(_ZN7QWidget10showNormalEv+0x5c)[0xb69638ac]
./libgoogleearth_free.so(_ZN10MainWindow18readScreensizeInfoEv+0xd66)[0xb745b1b6]
./libgoogleearth_free.so(_ZN5earth6client11Application12SetupMainWinENS0_3Kvw7ProductEb+0x334)[0xb7521f44]
./libgoogleearth_free.so(_ZN5earth6client11Application3runEv+0x745)[0xb7528f55]
./libgoogleearth_free.so(+0x1e8544)[0xb7486544]
./libgoogleearth_free.so(earthmain+0x2ec)[0xb748685c]
./googleearth-bin[0x804882b]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(__libc_start_main+0xe6)[0xb7635e46]
./googleearth-bin[0x8048771]

Akkor ez már sosem fog működni nálam? :(
Nincs valami ötletek miért nem indul?

Ötlet: Keress rá a Google-lel a hibára:
„Xlib: extension "GLX" missing on display ":0.0".”

A találatok közül válaszd ki a videokártyádnak és az OS-nek megfelelő javaslatokat.

Az általad megadott kiindulási adatok elég szegényesek, így a válaszok is szegényesek lesznek.

-----
(&%;_98\<|{3W10Tut,P0/on&Jkj"Fg}|B/!~}|{z(8qv55sr1C/n--k**;gfe$$5a!BB]\.-

Köszi a tanácsot. Keresgéltem már, de sajnos nekem az Angol is kínaí :)
No meg sajnos nem vagyok Linux guru :(

Idézet magamtól:
„Az általad megadott kiindulási adatok elég szegényesek, így a válaszok is szegényesek lesznek.”

-----
(&%;_98\<|{3W10Tut,P0/on&Jkj"Fg}|B/!~}|{z(8qv55sr1C/n--k**;gfe$$5a!BB]\.-

Töröm magamat pedig :)

glxinfo | grep render shows
grep: shows: Nincs ilyen fájl vagy könyvtár
Error: couldn't find RGB GLX visual or fbconfig
root@rubelly:~/.googleearth/crashlogs# glxinfo | grep render shows
grep: shows: Nincs ilyen fájl vagy könyvtár
Error: couldn't find RGB GLX visual or fbconfig
root@rubelly:~/.googleearth/crashlogs# glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

De nem tudom ezek mik :(

Már "csak" ennyi hibát jelez:

Major Version 7
Minor Version 1
Build Number 0001
Build Date Jul 12 2013
Build Time 04:04:15
OS Type 3
OS Major Version 3
OS Minor Version 2
OS Build Version 0
OS Patch Version 0
Crash Signal 11
Crash Time 1383246101
Up Time 0,796637

Stacktrace from glibc:
./libgoogleearth_free.so(+0x1e8c5b)[0xb7489c5b]
./libgoogleearth_free.so(+0x1e8e91)[0xb7489e91]
[0xb77e2400]

Indulásként:
- Milyen videokártya van a gépben?
- Milyen driver van felrakva a videokártyához?

„glxinfo | grep render shows
grep: shows: Nincs ilyen fájl vagy könyvtár”

A „shows” nélkül próbáld meg.

-----
(&%;_98\<|{3W10Tut,P0/on&Jkj"Fg}|B/!~}|{z(8qv55sr1C/n--k**;gfe$$5a!BB]\.-

Azt nem egészen tudom mit csináltam, de elindult :)
Amiatt is lehet, hogy egy régebbi verziót raktam föl.
Köszönöm a tanácsokat!

:~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop x86/MMX/SSE2
GL_NV_conditional_render, GL_ARB_ES2_compatibility,

Hát úgy tünik nem vagy ezzel egyedül : https://code.google.com/p/earth-issues/issues/detail?id=1582

Esetleg próbálj meg korábbi verziókat..hátha! [szerk] 32 bit-est próbáld[/szerk]
Nekem pl. Linux Mint alatt attól függően, hogy csomagból vagy a letöltött verziót telepítem, vagy a keresés nem működik (http error) v. a fotók nem jelennek meg.

Azt ne kérdezzétek, hogy csináltam, de műxik a google-earth, most már a legutolsó verzió is.
Úgy gondolom az alaplapi videókártya nem megfelelő beállításai volt a gond.

Most ezekkel műxik:

Google Earth
7.1.1.1888
Verzió dátuma
7/12/2013
Verzió ideje
4:04:12
Megjelenítő
OpenGL
Operációs rendszer
Linux (3.2.0.0)
Video-illesztőprogram
Tungsten Graphics, Inc
Maximális mintaméret
8192x8192
rendelkezésre álló videomemória
nem áll rendelkezésre információ
Szerver
kh.google.com